/api/v1/datagrid-columns/{id} (PATCH)
const url = 'https://api.endless.zaia.app/api/v1/datagrid-columns/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0';const options = { method: 'PATCH', headers: {'Content-Type': 'application/json'}, body: '{"description":"example","detail":{"semanticSearch":true,"type":"string"},"name":"example"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request PATCH \ --url https://api.endless.zaia.app/api/v1/datagrid-columns/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0 \ --header 'Content-Type: application/json' \ --data '{ "description": "example", "detail": { "semanticSearch": true, "type": "string" }, "name": "example" }'Updates a datagrid column.
Parameters
Seção intitulada “Parameters”Path Parameters
Seção intitulada “Path Parameters”A UUID v4 string that identifies an entity.
A UUID v4 string that identifies an entity.
Request Bodyrequired
Seção intitulada “Request Bodyrequired”object
The description of the column. Will be used by the agent to understand how to interact with it.
The display name of the datagrid column.
Responses
Seção intitulada “Responses”The datagrid column was updated.
object
A UUID v4 string that identifies an entity.
The datagrid ID associated with the column.
The description of the column. Will be used by the agent to understand how to interact with it.
The display name of the datagrid column.
Example
{ "detail": { "type": "string" }}Invalid request - data type cannot be changed.
The description of a known exception.
object
The error code.
The error call-to-action.
object
The error feedback.
object
The error message.
The error name.
Example
{ "cta": { "type": "support-contact" }}Unauthorized.
The description of a known exception.
object
The error code.
The error call-to-action.
object
The error feedback.
object
The error message.
The error name.
Example
{ "cta": { "type": "support-contact" }}The datagrid column was not found.
The description of a known exception.
object
The error code.
The error call-to-action.
object
The error feedback.
object
The error message.
The error name.
Example
{ "cta": { "type": "support-contact" }}Precondition failed.
The description of a known exception.
object
The error code.
The error call-to-action.
object
The error feedback.
object
The error message.
The error name.
Example
{ "cta": { "type": "support-contact" }}